---
title: Meeting Minutes 2021-06-24
date: 2021-06-24
attendees:
  - paullecocq,ibm
  - toshaanbharvani,vantosh
  - timansell,google
  - billflynn,ibm
  - steveroberts,ibm
  - peterkatarzynski,antmicro
  - alexeystepanov,yadro
  - karolgugala,antmicro
  - lancealbertson,oregonstateuniversity
  - michaelgielda,antmicro
draft: false
---

# LibreBMC SIG Meeting
## June 24, 2021
# Call to Order

# July 7 meeting is being canceled due to US Holidays. Next meeting July 22.

### Anti-trust Reminder
This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.

# AGENDA

## REMINDERS
- Reminder of workgroup collaboration tools
    - This Agenda is at https://notes.openpower.foundation/ 

## Publicity

- Google is looking at putting something around DC-SCM / LibreBMC into the OCP conference.
    - Proposals due by end of July.
    - 
- People to invite;
    - Rob Taylor
    - Carlos Eduardo (RedHat Brazil) -- https://twitter.com/carlosedp
        - Big in RISC-V
        - Did https://carlosedp.medium.com/xilinx-open-source-fpga-toolchain-on-docker-containers-93202650a615
    - Look into to people in the Open Source Firmware Conference - https://osfc.io/
        - https://oxide.computer/
    - (maybe) Jon Masters (?) - https://twitter.com/jonmasters
    - 

## HARDWARE
- Antmicro DC-SCM Overview and Update
    - https://github.com/antmicro?q=dc-scm - Hardware Repository
        - Designed on KiCAD under open source license
        - Compatible with DC-SCM v1.0 standard
        - Artix 7 version
        - ECP5 version
    - Currently targetted to run https://github.com/litex-hub/linux-on-litex-vexriscv

- Overall components of POWER9 Platform test - Steve Roberts
    - AC922
    - Interposer
      https://git.openpower.foundation/librebmc/ac922interposer
    - Antmicro DC-SCM compatible (not tested at present)
    - 50$ price estimate

- Next Steps
    - Hardware Availability
    - Who would be interested in hardware.
      Please add you name and quantity
      https://notes.openpower.foundation/ZbAY9R0bSpW93fUW_Qy32Q

## GATEWARE

- Existing Components
    - BoxARTY
    - Microwatt
    - Litex Microwatt
        - https://github.com/antonblanchard/microwatt/issues/294
        - 
    - A2P (in progress)
        - https://files.openpower.foundation/apps/files/?dir=/LibreBMC/A2P&fileid=368

- Making a linux-on-litex-microwatt repository
    - https://github.com/litex-hub/linux-on-litex-vexriscv
    - https://github.com/litex-hub/linux-on-litex-rocket
    - @mithro has created https://github.com/litex-hub/litex-on-litex-power
        - Who needs / want's access?

- Linux support for LiteX peripherals
    -  See ["Firmware sheet" in @mithro's LiteX Soft-CPU, FPGA and Firmware Support](https://docs.google.com/spreadsheets/d/1XTHfdYXuvwoYdPXm4M6qDA0D2fZCPy220-9q6qZpTw4/edit#gid=1131619550)
    -  UART
    -  Clocks
    -  GPIO / PWM / misc
    -  SPI
    -  Ethernet
    -  SD Card
    -  USB

- Emulation of gateware in Renode
    - 

- Simulation of gateware in Verilator
    - 

- Next steps
    - Release BoxARTY as starting point for LibreBMC
    - Improve Litex Microwatt
    - Create Litex on Linux for Microwatt
    - Start work on "Small" version of Microwatt
        - Remove FP
        - Minimum Compliancy
        - FPGA optimizations (using arrays instead of latches)
        - Microcode infrequently used complex instructions
        - Review A2P for additional FPGA optimization techniques
    - Release A2P
    - Create Litex A2P
    - Create Litex on Linux for A2P
    - 64 bit version of A2P?

## SOFTWARE

- Future Discussion on what will be needed from OpenBMC (Todd)
- Profiling of OpenBMC code would be useful for LibreBMC optimizations

## TOOLS

- Document tool flow in LibreBMC repo w/ links to tools
    - Please don't do your own thing, use the stuff at https://github.com/hdl and send the stuff upstream.
    - These are now being published at http://gcr.io/hdl-containers (Google Container Registry)
    - We should reach Rob Taylor 

- Two "precompiled tooling / package" flows:
    - [SymbiFlow Environment Providers](https://docs.google.com/drawings/d/15sVUnCHS1ex3lmuD3J7nDR-F1Xst6Panotc-2WlNRtQ/edit)
    - Containers
        - https://github.com/hdl/containers
        - More Cloud like flow
        - 
    - Conda
        - https://github.com/hdl?q=conda
        - Cross platform support -- Windows, Linux, MacOS
        - Provides everything in a self contained environment which doesn't need root access.
        - Integrates with the scientific Python + machine learning environments.
        - Integrates with the codelab / Jupyter notebooks.
    - make-env to "build an environment" using Makefile
        - https://github.com/SymbiFlow/make-env
        - Currently only support conda, but would like to support containers and "system".

- CICD Flows
    - OPF HUB / Raptor / VanTosh / Google / ...

## OTHER TOPICS

# MINUTES

## Reminder of workgroup collaboration tools

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera / freenode (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 
- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics
- OPF Files / Google Drive
https://files.openpower.foundation/s/iZRseq3XLtRcjtX
https://drive.google.com/drive/u/1/folders/1p7YL3urCf4NtYbJTRxXDluytmMotUwty
- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 
- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab
- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc

## HARDWARE MINUTES

# Antmicro DC-SCM

- Peter Katarzynski (Antmicro) presented Artix7 DC-SCM and status
    - 2 Rev 1.05. boards in early bringup
    - VexRISC and firmware running to control leds on board
    - 10 Rev 1.06 ordered from ??
    - Breakout board also designed
        - Provides additional test points of all I2C as well as litex console interface, pcie edge connector, etc
        - Design files will be open sourced once validated
    - Discussion on how to get a supply for developers who want hardware
        - Proposal to get quotes and present to OPF board to see if OPF can fund a small number
- Steve Roberts (IBM) presented POWER AC922 Test platform
