---
title: Meeting Minutes 2021-07-22
date: 2021-07-22
attendees:
  - toshaanbharvani,vantosh
  - alexeystepanov,yadro
  - timpearson,raptor
  - timansell,google
  - michaelgielda,antmicro
  - karolgugala,antmicro
  - lancealbertson,oregonstateuniversity
  - zevweiss,equinix
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 22 July 2021
Access link: https://zoom.us/j/91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.

# AGENDA


## WG Chair Update

- Nominations
    - on hold
- Votes
    - on hold

## TODO List

- Create ToDo list (kanban)
    - Major missing piece NCSI RMI piece (driver for LiteX)
        - https://www.dmtf.org/sites/default/files/standards/documents/DSP0222_1.1.0.pdf
        Built on RMII
    - Tim has previously created [LibreBMC Open Items](https://docs.google.com/document/d/10RJUk_uXhku6FTnb-WtpIDHrkrEaWdAREF4wafYzfV4/edit)
    - Google + Antmicro are working on getting PCI Express going on the Xilinx hardware using open source tools (symbiFlow.github.io)
        - Currently target is to get https://github.com/timvideos/litex-buildenv/wiki/HowTo-HDMI2PCIe-on-NeTV2 working with fully open source tools.
        - Currently deprioritized behind getting FPGA interchange work going.
        - Seems like we can *probably* get by without PCIe initially.
        - There is some work on Lattice PCIe stuff that was done in GSoC;
            - https://github.com/whitequark/Yumewatari
            - https://github.com/ECP5-PCIe/ECP5-PCIe
            - https://github.com/enjoy-digital/litepcie/blob/master/doc/architecture.png
              - Need to understand what components are hard macro / (currently) encrypted HDL / currently open (LiteX) for both Lattice + Xilinx
            - https://github.com/greatscottgadgets/bucatini
    - Graphics / VGA support
        - Currently a nice to have.
        - Raptor has working HDMI on ECP5 via transceiver on Sparrowhawk, code upstream in LiteX
        - Need PCIe endpoint to provide VGA controller to host
        - Can currently display serial console via text terminal (BMC-driven)
- Start gateware repo (git)
- Create BOM for first hardware batch (git)


- Using HedgeDoc? Is there a folder for Meeting Notes like in Google Drive?
    - [GoogleDrive folder for Meeting Agenda + Notes](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J)
    - https://files.openpower.foundation/s/iZRseq3XLtRcjtX
- Improve SoftCore for FPGA purposes
    - Can softcore reduce the size?
    - http://j.mp/softcpus-on-fpgas
    - 3 ways of core optimization : fpga / asic / education
- Hardware status
    - Getting the IBM Machine (AC922)
        - On the way, coming soon with a link
    - Getting the Interposer for AC922
        - Getting an interposer to Antmicro (Michael / Pieter / Karol)
    - Getting the FPGA DC-SCM BMC boards
        - Getting a board to IBM OzLab 
    - Currently lots of confusion between IBM and Antmicro.
        - Need to get Antmicro hardware ASAP so they can replicate the IBM work.
        - IBM being the only one doing hardware work is a huge roadblock here.
    - Possible alternate (Lattice not Xilinx) Raptor has ModBMC (derived from RunBMC) product for use with Talos II/Blackbird
        - October 2021 timeframe for retail launch
        - Organize a discussion between Antmicro, Tim Ansell (Google), Raptor around getting Artix 7 / Xilinx board compatible with ModBMC for use with Talos hardware.
        - 


## Workgroup Collaboration Tools

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics
- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera / freenode (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 
- OPF Files (Google Drive being phased out)
https://files.openpower.foundation/s/iZRseq3XLtRcjtX
(https://drive.google.com/drive/u/1/folders/1p7YL3urCf4NtYbJTRxXDluytmMotUwty)
- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 
- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab
- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc
