---
title: Meeting Minutes 2021-08-19
date: 2021-08-19
attendees:
  - toshaanbharvani,vantosh
  - timansell,google
  - michaelgielda,antmicro
  - toddrosedahl,ibm
  - timpearson,raptor
  - billflynn,ibm
  - lancealbertson,oregonstateuniversity
  - bradleybiship,ibm
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 19 August 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 941 7298 309600


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.

# AGENDA

## WG Chair Update

- New Co-Chairs
    - Karol Gugala [Antmicro] <kgugala@antmicro.com>
    - Todd Rosedahl [IBM] <rosedahl@us.ibm.com>


## Getting hardware to people -- Update

 * There are 3 components;
     * AC922
         * Available for sale now for under $5K! [Buy](https://www-store.shop.ibm.com/shops/ips/product/server-18335-model-gth)
         * 1 is in Rochester
         * 1 is in Australia
         * Mendy is trying to find one to ship to Antmicro
             * France did not work out
         * Any further action on aquiring AC922s?
             * Antmicro is looking to purchase one
             * However, the link only works in the US
             * Toshaan is working on getting them shipped to the EU.  Waiting for input back from IBM.
             * Toshaan also requested a lower memory (cheaper) option for use with DC-SCM
     * Interposer
         * 6 pieces.  Parts for 4 more are being ordered.
         * 2 are in Rochester
         * 2 are in Australia
         * 2 are en route to Antmicro
             * Being sent to IBM first, then on to Antmicro
             * Todd to check on the status and get tracking number to Antmicro
         * Others
             * 1 to OSU
             * 1 to others HUB providers (...)
     *  DC-SCM board
         *  4 boards, but only 3 have FPGAs
         *  Update: Australia is on Covid lockdown and they cannot enter the plant.
         *  Should we ship 1 board to Rochester and do remote bring up on it there?
         *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.  Todd to send him Marshall's contact info.
     *  Raptor will have a board using Lattice FPGA.  Smaller form factor.  Not DC-SCM.  Using RunBMC. No VGA - using HDMI instead.

## OCP Summit
 * Want to have a "LibreBMC" setup for OCP Summit
     * Plan to ship from Rochester.  Need a DC-SCM card in Rochester.
     * Likely will not have a live demo there, but we would like to have the hardware at OCP live.

* We do have a booth now!

 * Want a demo to be videotaped for display at the booth and during the presentation (assuming it is accepted).  Need to work on where/how.  Rochester or Antmicro may be the only options.
     * Antmicro to consider this option.

* Todd will present LibreBMC to the OCP DC-SCM working group in 2 weeks.  He will start some charts.  Looking for input from Antmicro and others.  These charts can be the base for the OCP presentation.
    * Antmicro would like to participate.  Todd to send charts and meeting information.


## Workgroup Collaboration Tools

 * Toshaan is targeting Sept for everything to be working as intended
 
 * Meeting invites are still not seeming to get mailed?
     * Need to delete the stuff from causeway.
     * Need to make the system actually sends emails with ical attachments.
https://github.com/antmicro/artix-dc-scm
- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
https://notes.openpower.foundation/fYDmTdnURSi-MyMVq9k6yA#
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files (Google Drive being phased out)
https://files.openpower.foundation/s/iZRseq3XLtRcjtX
(https://drive.google.com/drive/u/1/folders/1p7YL3urCf4NtYbJTRxXDluytmMotUwty)
    Toshaan to ask Paul if he can transfer the whole drive over to Tim A.

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc

## LiteEth upstreaming

 * Not to be discussed this week. Anton will discuss at the next meeting.
 
## Agenda items for this week

* Lattice has expressed interest in joining this work group.
* Antmicro does board for both Xilinx Artix 7 and Lattice ECP 5.  We are focussing on Artix, but we should get the ECP 5 work going as well.
* Check on LPC slave on Kestrel.  Can it be opened so we can use it?
    * 2 options:
        * Straight Apache would need to wait 2 months or so for the launch of the board.  Everything would be opened up.
            * Is 2 months acceptable?  Todd to investigate.
        * Use LGPL now for the LPC slave only.  However, this requires TSC approval that will be difficult to get.  This is not an option.
* Should we consider using buildroot instead of yocto?
    * This is really about booting a full linux distribution (not Yocto).
    * This should be considered down the road, but let's split our resources at this point.
    * Should be looking also at updating packages, not the full BMC load.  Raptor would consider putting resources behind this effort.  Yocto may support this already.
* Look at Paul's list of items to work on.  What are our next priorities?
    * Tim A thinks linux on LiteX
    * Tim A thinks focus on soft CPU.  Smaller micro-watt.  Goal is a 4 Core SMP complex on an Xilinx Artix 35T



